# Method: snapshots.get

- [HTTP request](https://developer.android.com/games/services/web/api/rest/v1/snapshots/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developer.android.com/games/services/web/api/rest/v1/snapshots/get#body.PATH_PARAMETERS)
- [Query parameters](https://developer.android.com/games/services/web/api/rest/v1/snapshots/get#body.QUERY_PARAMETERS)
- [Request body](https://developer.android.com/games/services/web/api/rest/v1/snapshots/get#body.request_body)
- [Response body](https://developer.android.com/games/services/web/api/rest/v1/snapshots/get#body.response_body)
- [Authorization scopes](https://developer.android.com/games/services/web/api/rest/v1/snapshots/get#body.aspect)
- [Try it!](https://developer.android.com/games/services/web/api/rest/v1/snapshots/get#try-it)

Retrieves the metadata for a given snapshot ID.

### HTTP request

`GET https://games.googleapis.com/games/v1/snapshots/{snapshotId}`

### Path parameters

|                   Parameters                   ||
|--------------|----------------------------------|
| `snapshotId` | `string` The ID of the snapshot. |

### Query parameters

|                                       Parameters                                        ||
|------------|-----------------------------------------------------------------------------|
| `language` | `string` The preferred language to use for strings returned by this method. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of [Snapshot](https://developer.android.com/games/services/web/api/rest/v1/snapshots#Snapshot).

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/drive.appdata`
- `
  https://www.googleapis.com/auth/games`
- `
  https://www.googleapis.com/auth/games_lite`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).